2020-10-24 20:07 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006244Spring engineGeneralpublic2020-07-22 20:38
Reporterlhog 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006244: Something is wrong with making screenshots on x64 builds
DescriptionWhen making in-game screenshots on maintenance-x64 or develop-x64, screenshots are not made in "spring/screenshots" dir, but instead created in the "spring" with obscure name (see attached pic).

Clearly the filenames are somehow got corrupted. Sometimes a screenshot files are not created at all.

Windows x64.
Self-built with mingwlibs64, taken from repo.
Tagsdll
Checked infolog.txt for ErrorsIrrelevant
Attached Files

-Relationships
related to 0005434resolvedKloot 103.0.1-519-g91b0000 win64 cannot take screenshots 
+Relationships

-Notes

~0020028

Kloot (developer)

deja vu: https://springrts.com/mantis/view.php?id=5434

does also this happen with the latest (1795-devel, 1251-maint) win64 buildbot binaries?

~0020490

Kloot (developer)

outdated mingw64 libIL presumably
+Notes

-Issue History
Date Modified Username Field Change
2019-07-14 18:36 lhog New Issue
2019-07-14 18:36 lhog File Added: x64_screenshot.png
2019-07-14 18:36 lhog Tag Attached: dll
2019-07-14 21:40 Kloot Note Added: 0020028
2019-07-14 21:41 Kloot Relationship added related to 0005434
2020-07-22 20:38 Kloot Status new => resolved
2020-07-22 20:38 Kloot Resolution open => fixed
2020-07-22 20:38 Kloot Fixed in Version => 104.0 +git
2020-07-22 20:38 Kloot Note Added: 0020490
+Issue History